MVDSV(8)

NAME
mvdsv - QuakeWorld-compatible dedicated server

SYNOPSIS
mvdsv -basedir DIRECTORY -game DIRECTORY [-t chroot dir] [-u user] [-g group] [-d] [-cheats] [-enablelocalcommand] [-democache SIZE_IN_KB] [-progtype PROGTYPENUMBER] [-minmemory] [-heapsize SIZE_IN_KB] [-mem SIZE_IN_MB] [-ip IPV4_ADDRESS] [-port UDP_PORT]

DESCRIPTION
This manual page documents briefly the mvdsv command.

mvdsv (multi-view demo server) is a QuakeWorld-compatible dedicated server.

On Debian, it currently requires a package "quake-registered" that can be generated from copy of Quake I via game-data-packager(6).

OPTIONS
mvdsv does not follow the usual GNU command line syntax, with long options starting with two dashes. Most notably, it does not have a --help command.

[unix specific parameters]

-t DIRECTORY
    chroot to DIRECTORY

-u USER
    setuid to USER

-g GROUP
    setguid to GROUP

-d  daemonize to background (not recommended when run from systemd unit)

[common parameters]

-basedir BASEDIR
    The "base directory" is the path to the filesystem directory holding the quake game directories (id1/pak0.pak, id1/pak1.pak). The base directory is only used during filesystem initialization. Defaults to current directory when not set. Example: mvdsv -basedir /usr/share/games/quake

-game GAMEDIR
    The "game directory" is the first tree on the search path and directory that all generated files (savegames, screenshots, demos, config files) will be saved to. This directory is relative to the base directory.

+gamedir GAMEDIR
    Identical to "-game". However, when both are set, "-game" takes precedence.

-ip IPV4_ADDRESS
    Bind to the network interface with this IPv4 address, instead of all interfaces. Currently only IPv4 addresses are supported. IPv6 addresses will silently fail.

-port UDP_PORT
    Listen on UDP port number PORT for QuakeWorld clients to connect. Defaults to 27500.

-cheats
    Enable cheats on this server. Equivalent to setting "sv_cheats 1" in the config. This makes a set of cheat commands available on the QuakeWorld client:
    `god` will make the player invulnerable.
    `noclip` allows the player to clip through walls.
    `fly` allows the player to fly, but not clip through walls.
    `give <alphanum> [amount]` will give the player items.
    2 = shotgun
    3 = super shotgun
    4 = nailgun
    5 = super nailgun
    6 = grenade launcher
    7 = rocket launcher
    8 = lightning gun
    s = shotgun ammo
    n = nailgun ammo
    r = rocket ammo
    h = health
    c = cells ammo

-enablelocalcommand
    Allow executing arbitrary shell code from within the server with "localcommand CMD". VERY DANGEROUS. Only enable this if you know what you are doing.

-democache SIZE_IN_KB
    Set the demo cache size in KB. Will default to 16 MiB if set below that value.

-progtype PROGTYPENUMBER
    Define the type of the qwprogs. This setting is usually not needed, as it is autodetected.
    0 = pr1 (qwprogs.dat etc)
    1 = native (.so/.dll)
    2 = q3vm (.qvm)
    3 = q3vm (.qvm) with JIT

-minmemory
    Set memory to 0x550000 bytes (deprecated, use -mem).

-heapsize SIZE_IN_KB
    Allocate fixed amount of memory in KiB (deprecated, use -mem).

-mem SIZE_IN_MB
    Allocate fixed amount of memory in Mi. Overrides -heapsize and -minmemory. Defaults to 32 MiB.

+exec MYSERVER.CFG
    execute all server commands configured in the file MYSERVER.CFG.

AUTHOR
This manual page was written by Lee Garrett <debian@rocketjump.eu>, for the Debian GNU/Linux system (but may be used by others).

SEE ALSO
mvdsv.cfg(1),
https://github.com/QW-Group/mvdsv